/*!
* @file Building.cpp
* @brief ゲーム中の施設を定義する
* @date 2014/02/01
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "Building.h"

namespace Deeangband
{

	Building::Building(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
	{
	}

	Building::Building(void)
	{
	}

	Building::~Building(void)
	{
	}

	NAME Building::GetBuildingName(void)
	{
		return this->buildingName;
	}

}